package agilpizza.pizza;

import static org.junit.Assert.*;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;
import agilpizza.internal.SeleniumTestCase;

public class PizzasTradicionaisTest extends SeleniumTestCase {

	@BeforeMethod
	public void entrarNaPagina() {
		sel.open(CONTEXTO);
		sel.clickAndWait("linkTradicionais");
	}

	@Test
	public void testPizzas() {
		assertTrue("Falta pizza Portuguesa", sel.isTextPresent("Portuguesa"));
		assertTrue("Falta pizza Frango com Catupiry", sel.isTextPresent("Frango com Catupiry"));
		assertTrue("Falta pizza Vegetariana", sel.isTextPresent("Vegetariana"));
		assertTrue("Falta pizza Quatro Queijos", sel.isTextPresent("Quatro Queijos"));
		assertTrue("Falta pizza Romana", sel.isTextPresent("Romana"));
		assertTrue("Falta pizza Calabresa", sel.isTextPresent("Calabresa"));
	}

	
}
